################################################################################
#
# Makefile  : Omega, web2c win32.mak makefile fragment to build Omega
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <03/02/06 10:58:37 popineau>
#
################################################################################

# The C sources.
eomega_c = eomega.c
eomega_o = $(objdir)\eomega.obj $(objdir)\omegafirst.obj $(objdir)\omegabis.obj

# Generation of the web and ch files.

omegadir = .\omegadir
eomegadir = .\eomegadir

#
# e-Omega is build without the xml support
# so we can't reuse omega.web and omega.ch
# we need to build stripped down versions
#
xomfiles = \
	$(omegadir)\om16bit.ch \
	$(omegadir)\omstr.ch \
	$(omegadir)\omfont.ch \
	$(omegadir)\omchar.ch \
	$(omegadir)\omfi.ch \
	$(omegadir)\ompar.ch \
	$(omegadir)\omocp.ch \
	$(omegadir)\omfilter.ch \
	$(omegadir)\omtrans.ch \
	$(omegadir)\omdir.ch \
	#$(omegadir)\omxml.ch # We don't want this one, really, do we?

xcomfiles = \
	$(omegadir)\comnode.ch \
	$(omegadir)\com16bit.ch \
	$(omegadir)\comstr.ch \
	$(omegadir)\comfont.ch \
	$(omegadir)\comchar.ch \
	$(omegadir)\comfi.ch \
	$(omegadir)\compar.ch \
	$(omegadir)\comocp.ch \
	$(omegadir)\comfilter.ch \
	$(omegadir)\comtrans.ch \
	$(omegadir)\comdir.ch \
#	$(omegadir)\comxml.ch \
	$(omegadir)\comsrcspec.ch \
	$(omegadir)\comw32.ch

eomega_files = \
	$(eomegadir)\eocprt.ch \
	$(eomegadir)\eobase.ch \
	$(eomegadir)\eomem.ch \
	$(eomegadir)\eo16bit.ch \
	$(eomegadir)\eofix.ch \
	$(eomegadir)\eoeqtb.ch

eomega_changefiles = \
	$(eomegadir)\omega.ch0 	\
	xomega.ch 		\
	$(eomegadir)\omega.ch1	\
	$(eomegadir)\eomega.ech	\
	$(eomegadir)\omega.ch2

xomega.web: $(tex_web) $(xomfiles)
	$(objdir)\tie -m xomega.web tex.web $(xomfiles)

xomega.ch: $(tex_web) $(xcomfiles)
	$(objdir)\tie -c xomega.ch xomega.web $(xcomfiles)

eomega.web: $(objdir)\tie.exe xomega.web $(eomega_files)
	$(objdir)\tie.exe -m eomega.web xomega.web $(eomega_files)

eomega.ch: $(objdir)\tie.exe eomega.web $(eomega_changefiles)
	$(objdir)\tie.exe -c $@ eomega.web $(eomega_changefiles)

# end of eomega.mak
#  
# Local variables:
# page-delimiter: "^# \f"
# mode: Makefile
# End:
